<?php


class WB_MagicPost_Google_Translate
{

    public $debug = false;
    public $errors = [];

    public $key = '';
    public $target = '';


    public function get_error()
    {
        return array_pop($this->errors);
    }



    public function translate($text)
    {
        $api_host = 'translation.googleapis.picpapa.com';//translation.googleapis.com
        $api = 'https://'.$api_host.'/language/translate/v2?key='.$this->key;
        $param = [
            'timeout'=>5,
            'sslverify'=>false,
            'headers' =>[
                'content-type' => 'application/json',
            ],
            'body'=>json_encode([
                'q'=>$text,
                'target' => $this->target,
            ]),
        ];

        $http = wp_remote_post($api,$param);
        if(is_wp_error($http)){
            //print_r([$http->get_error_message()]);
            $this->txt_log('Google翻译失败。错误信息:');
            $this->txt_log($http->get_error_message());
            return false;
        }
        $body = wp_remote_retrieve_body($http);

        if(empty($body)){
            $this->txt_log('Google翻译失败。响应为空');
            return false;
        }
        //$this->txt_log($body);
        $content_type = wp_remote_retrieve_header($http,'content-type');
        $data = [];
        //$this->txt_log($content_type);
        if(preg_match('#application/json#i',$content_type)){
            $data = json_decode($body,true);
        }else if(preg_match('#application/x-www-form-urlencoded#i',$content_type)){
            $data = [];
            parse_str($body, $data);
        }
        if(empty($data)){
            $this->txt_log('Google翻译失败。数据解析为空');
            return false;
        }
        if(isset($data['error'])){
            $this->txt_log('Google翻译失败,原因:');
            $this->txt_log($data['error']['message']);
            return false;
        }
        return $data;
    }

    public function txt_log($msg){
        $this->errors[] = $msg;
        //clog($msg);
        if($this->debug){
            error_log(current_time('mysql') . " $msg \n",3,MAGICPOST_ROOT.'/google.log');
        }
    }
}